Package: org.gmetrics.result

## [Groovy] Interface MetricResult

- Represents the result from applying a single metric (to a package, class or method)

  Authors:
    Chris Mair
  Version:
    \$Revision: 163 \$ - \$Date: 2011-10-02 21:55:46 -0400 (Sun, 02 Oct 2011) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getAt(String propertyName)` Return the metric result value for the named function (e.g.
    `` | `int` | `getCount()` Return the count of the nodes/results that are descendants.
    `` | `Integer` | `getLineNumber()` Return the line number associated with this metric result (i.e., method or class)
    `` | `Metric` | `getMetric()` @return the Metric for which this object represents results.
    `` | `MetricLevel` | `getMetricLevel()` @return the MetricLevel for this metric result

- - ### Method Detail

    - #### Object getAt(String propertyName)

      Return the metric result value for the named function (e.g. "average", "total")

      Parameters:
        `propertyName` - - the function name
      Returns:
        the named function value or null if that function is not supported

    - #### int getCount()

      Return the count of the nodes/results that are descendants. For instance, if this result represents a class, then the count includes all of the method-level result children (if applicable for the metric).

      Returns:
        the count of metric result children

    - #### Integer getLineNumber()

      Return the line number associated with this metric result (i.e., method or class)

      Returns:
        an Integer; may be null

    - #### Metric getMetric()

      Returns:
        the Metric for which this object represents results.

    - #### MetricLevel getMetricLevel()

      Returns:
        the MetricLevel for this metric result